# melder
## Katastropheneldungen per Kommandozeile
Melder ist ein Bash-Skript, welches die aktuellen Katastrophenmeldungen über die API des BBK abruft. Außerdem unterstützt es den automatischen Abruf der AGS-Listen aus dem XRepository.
### Voraussetzungen:
`melder` benötigt `jq`, `xq` und `wget`, um ordnungsgemäß zu funktionieren. Außerdem sollte Bash in einer Version >= 4.0 installiert sein. Darüber hinaus benötigt es selbstverständlich einen funktionierenden Internetzugang.
### Handhabung:
```Syntax: melder [-dafuq]
 -d [AGS]        = Ausgabe aller Warnungen im Dashboard des gespeicherten oder
                   angegebenen AGS
 -a <AGS>        = lege AGS (Amtlicher Gemeindeschlüssel) für Warnmeldungen fest
 -f <Format>     = Ausgabeformat für Warnungen festlegen (Standard: @json)
 -u              = aktualisiere AGS-liste
 -q <regex>      = bestimme AGS zu Gemeindenamen
 "Hilfe zu Ausgabeformaten und regulären Ausdrücken bietet die Manpage von jq.```
 
`melder` kann zur Zeit das Warnmeldungs-Dashboard einer Gebietskörperschaft abrufen und ausgeben. Der AGS dafür kann entweder in einer Konfigurationsdatei abgelegt, oder beim Aufruf mit angegeben werden. Auch das Ausgabeformat von `jq` kann gesteuert werden.

Damit `melder` ordnungsgemäß arbeitet, müssen zunächst die aktuellsten AGS aus dem XRepository abgerufen werden. Dies geschieht entweder bei Bedarf, wenn das erste Mal ein AGS benötigt wird, oder aber gesteuert durch den Parameter `-u`. Die Ausgabe erfolgt über STDERR, sodass die Ausgabe von `melder` über ein Redirect in eine Datei oder an einen anderen Befehl weitergeleitet werden kann.
### Warnung:
`melder` ist **keine** offizielle Anwendung des BBK. Es basiert auf die durch das Kollektiv "Zerforschung" öffentlich dokumentierten [NINA-API](https://nina.api.bund.dev/), sowie dem vom XÖV zur Verfügung gestellten [XRepository](https://www.xrepository.de/). Dieses Programm ist kein Ersatz für etablierte Warnsysteme! Es dient lediglich als Beispiel für den Umgang mit der NINA-API.
